数据提供商: TikHub
TikTok 用户主页视频数据 v1
$0.0015 / 次调用在 40 秒内响应
通过 TikHub 从 TikTok 获取的用户主页视频数据版本1。每次调用发送一次请求;无论是否返回数据,TikHub 都对请求计费,空数据响应会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the TikHub endpoint /api/v1/tiktok/app/v3/fetch_user_post_videos on Glasser.bash
glasser run -p tikhub -e '/api/v1/tiktok/app/v3/fetch_user_post_videos' -i '{"unique_id":"tiktok"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/tiktok/app/v3/fetch_user_post_videos","input":{"unique_id":"tiktok"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
制作研究简报时,可以查找与你的主题相关的已发布帖子,将它们用作资料来源。
复制此提示词到你的 Agent,查找研究简报所需的帖子。
提示词
Use tikhub:/api/v1/tiktok/app/v3/fetch_user_post_videos on Glasser.
Find published content about my topic in the returned posts for a research brief.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"count": {
"type": "integer",
"description": "Maximum count number"
},
"region": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Region, optional parameter, if not passed, the US region data will be used by default. After passing, the data of the corresponding country and region will be preferred, for example: US, GB, FR, JP, SG, VN, etc."
},
"sort_type": {
"type": "integer",
"description": "Sort type, 0-Latest, 1-Hot"
},
"unique_id": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "User unique_id, optional parameter, if sec_user_id is empty, use unique_id to get user video data, unique_id is also the user's username."
},
"max_cursor": {
"type": "integer",
"description": "Maximum cursor, used for paging, the first page is 0, the second page is the max_cursor value in the first response."
},
"sec_user_id": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "User sec_user_id, use sec_user_id to get user video data first, if sec_user_id is empty, use unique_id to get user video data."
}
},
"additionalProperties": false
}json
{
"unique_id": "tiktok"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.0015 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |